package com.dayou.controller;

import com.dayou.common.RestResponse;
import com.dayou.dto.PersonalFacePriceQueryDTO;
import com.dayou.service.IPersonalFacePriceService;
import com.dayou.vo.DayouPersonalPriceVO;
import com.dayou.vo.ExternalFacePriceVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 个贷口估
 */
@RestController
@RequestMapping("personalFacePrice")
@Slf4j
public class PersonalFacePriceController extends BaseController {

    @Autowired
    private IPersonalFacePriceService personalFacePriceService;

    /**
     * 查询大友个贷历史评估价格
     * @param facePriceQuery
     * @return
     */
    @PostMapping("/dy/price")
    public RestResponse<List<DayouPersonalPriceVO>> dayouPersonalPrice(@RequestBody PersonalFacePriceQueryDTO facePriceQuery) {
        List<DayouPersonalPriceVO> ret = personalFacePriceService.dayouPersonalPrice(facePriceQuery);
        return RestResponse.success(ret);
    }

    /**
     * 查询外部数据价格
     * @param facePriceQuery
     * @return
     */
    @PostMapping("/external/price")
    public RestResponse<ExternalFacePriceVO> externalPersonalPrice(@RequestBody PersonalFacePriceQueryDTO facePriceQuery) {
        ExternalFacePriceVO ret = personalFacePriceService.externalPersonalPrice(facePriceQuery);
        return RestResponse.success(ret);
    }
}
